EDIT - bug #9461

Filter in vaadin distribution editor does not work
02/09/2021 10:53 AM - Andreas Miiller

Status: Resolved Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 50%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.20

Severity: normal Found in Version:

Description

Previously the filter in the distribution editor did throw an exception (see #7254 and #9457). This is not the case anymore. However,
the filter does not seem to work.

| tested on http://test.e-taxonomy.eu/cdmserver/flora_cuba/app/distribution with area filter on Cuba, West Cuba and Central Cuba
and filter "Ancistranthus harpo*" or only "Ac*" but nothing appeared in the "Taxonomy" box

Related issues:
Related to EDIT - bug #7254: Filter in vaadin distribution editor throws exce... Worksforme
Related to EDIT - bug #9457: Distribution editor: Taxon filter broken due to ... Closed

Associated revisions

Revision e6d5c3e2 - 02/09/2021 11:07 AM - Andreas Miiller
ref #9457 | ref #9461 fix incorrect handling of AND/OR logic in doubtfulPattern handling in TaxonNodeDaoHibernatelmpl.getUuidAndTitleCache

Revision 4672fa5f - 02/09/2021 02:12 PM - Andreas Miiller
ref #9461 try to fix not working filter by using dto not dtos

Revision 15647253 - 02/12/2021 09:40 AM - Katja Luther

add test for uuidAndTitleCache in TaxonNodedao and code cleau

History

#1 - 02/09/2021 10:53 AM - Andreas Miiller
- Related to bug #7254: Filter in vaadin distribution editor throws exception added

#2 - 02/09/2021 10:54 AM - Andreas Miiller
- Related to bug #9457: Distribution editor: Taxon filter broken due to invalid HQL in TaxonNodeServicelmpl.getUuidAndTitleCache() added

#3 - 02/09/2021 04:18 PM - Andreas Miiller

- Status changed from New to Resolved

- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- Target version changed from Unassigned CDM tickets to Release 5.20

- % Done changed from 0 to 50

The last commit seems to fix this issue. Can you please review.

#4 - 02/10/2021 11:57 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Andreas Miller

Andreas Muller wrote:

The last commit seems to fix this issue. Can you please review.

Code changes look good. As far as you have tested the Ul successfully you can close this ticket.

04/17/2024 1/1



https://dev.e-taxonomy.eu/redmine/issues/7254
https://dev.e-taxonomy.eu/redmine/issues/9457
http://test.e-taxonomy.eu/cdmserver/flora_cuba/app/distribution
http://www.tcpdf.org

